For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GETGets multiple product variants
      • POSTAdds new product variants to a product
      • PATCHUpdates multiple product variants
      • POSTCreate a new Channel Metadata Entry for a given Variant
      • GET Gets Product by Id
      • DELDeletes Bundle and removes associations to related products
      • PATCHUpdate a single product with Json Merge Patch functionality
      • GET Gets Taxonomy by Id
      • GETRetrieves List of Products based on filters provided
      • POSTCreate single product to the store
      • GET Gets Taxonomy
      • POSTUsed to merge two or more variants together
      • PUTUpdate specific channel metadata record from a variant by channel metadata ID
      • DELUsed to delete a specific channel metadata record from a variant by channel metadata ID
      • POSTMigrates variants to existing product
      • GET Gets Taxonomy Parent
      • POSTMigrates existing variants to a new product
      • GETGets Packaging Requirement
      • POSTAdd new product variants to a product
LogoLogo
API ReferenceProducts

Update a single product with Json Merge Patch functionality

||View as Markdown|
PATCH
https://sandbox-api.shipbob.com/Experimental/product/:productId
PATCH
/Experimental/product/:productId
$curl -X PATCH https://sandbox-api.shipbob.com/Experimental/product/1 \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "id": 0,
> "name": "string",
> "taxonomy_id": 0,
> "type_id": 0,
> "variants": [
> {
> "additional_hazmat_attributes": {
> "charge_state_percentage": 0.1,
> "container_metal": true,
> "lithium_battery_packaging": "string",
> "lithium_battery_type": "string",
> "magnet": true,
> "net_volume": 0.1,
> "net_weight": 0.1
> },
> "barcodes": [
> {
> "sticker_url": "string",
> "value": "string"
> }
> ],
> "bundle_definition": [
> {
> "quantity": 0,
> "variant_id": 0
> }
> ],
> "channel_metadata": [
> {
> "asin": "string",
> "fnsku": "string",
> "fulfillment_channel": "string",
> "channel_id": 0,
> "currency": "string",
> "id": 0,
> "is_inventory_sync_enabled": true,
> "legacy_product_id": 0,
> "platform": "string",
> "platform_identifier": "string",
> "platform_inventory_item_id": "string",
> "price": 0.1,
> "seller_sku": "string"
> }
> ],
> "customs": {
> "country_code_of_origin": "string",
> "description": "string",
> "hs_tariff_code": "string",
> "is321_eligible": true,
> "value": 0
> },
> "dimension": {
> "height": 0.1,
> "length": 0.1,
> "width": 0.1
> },
> "fulfillment_settings": {
> "dangerous_goods": true,
> "is_bpm_parcel": true,
> "is_case_pick": true,
> "msds_url": "string",
> "requires_prop65": true,
> "serial_scan": {
> "exact_character_length": 0,
> "is_enabled": true,
> "prefix": "string",
> "suffix": "string"
> }
> },
> "gtin": "string",
> "id": 0,
> "is_digital": true,
> "lot_information": {
> "is_lot": true,
> "minimum_shelf_life_days": 0
> },
> "name": "string",
> "packaging_material_type_id": 0,
> "packaging_requirement_id": 0,
> "return_preferences": {
> "backup_action_id": 0,
> "instructions": "string",
> "primary_action_id": 0,
> "return_to_sender_backup_action_id": 0,
> "return_to_sender_primary_action_id": 0
> },
> "sku": "string",
> "status_id": 0,
> "upc": "string",
> "weight": 0.1
> }
> ]
>}'
200default
1{
2 "created_on": "2019-08-24T14:15:22+00:00",
3 "id": 0,
4 "name": "string",
5 "taxonomy": {
6 "id": 0,
7 "name": "string",
8 "parent_id": 0,
9 "parent_name": "string",
10 "path": "string"
11 },
12 "type": "string",
13 "updated_on": "2019-08-24T14:15:22+00:00",
14 "user_id": 0,
15 "variants": [
16 {
17 "additional_hazmat_attributes": {
18 "charge_state_percentage": 0.1,
19 "container_metal": true,
20 "lithium_battery_packaging": "string",
21 "lithium_battery_type": "string",
22 "magnet": true,
23 "net_volume": 0.1,
24 "net_weight": 0.1
25 },
26 "associated_bundles": [
27 {
28 "product_id": 0,
29 "product_name": "string",
30 "quantity": 0,
31 "variant_id": 0,
32 "variant_sku": "string"
33 }
34 ],
35 "barcodes": [
36 {
37 "sticker_url": "string",
38 "value": "string"
39 }
40 ],
41 "bundle_definition": [
42 {
43 "product_id": 0,
44 "quantity": 0,
45 "variant_id": 0,
46 "variant_name": "string",
47 "variant_sku": "string"
48 }
49 ],
50 "channel_metadata": [
51 {
52 "channel_id": 0,
53 "channel_name": "string",
54 "currency": "string",
55 "id": 0,
56 "is_inventory_sync_enabled": true,
57 "legacy_product_id": 0,
58 "platform": "string",
59 "platform_identifier": "string",
60 "platform_inventory_item_id": "string",
61 "price": 0.1,
62 "seller_sku": "string"
63 }
64 ],
65 "created_on": "2019-08-24T14:15:22+00:00",
66 "customs": {
67 "country_code_of_origin": "string",
68 "currency": "string",
69 "description": "string",
70 "hs_tariff_code": "string",
71 "is321_eligible": true,
72 "value": 0
73 },
74 "dimension": {
75 "height": 0.1,
76 "is_locked": true,
77 "length": 0.1,
78 "source": "string",
79 "unit": "string",
80 "width": 0.1
81 },
82 "fulfillment_settings": {
83 "dangerous_goods": true,
84 "is_bpm_parcel": true,
85 "is_case_pick": true,
86 "msds_url": "string",
87 "requires_prop65": true,
88 "serial_scan": {
89 "exact_character_length": 0,
90 "is_enabled": true,
91 "prefix": "string",
92 "suffix": "string"
93 }
94 },
95 "gtin": "string",
96 "id": 0,
97 "inventory": {
98 "inventory_id": 0,
99 "on_hand_qty": 0
100 },
101 "is_digital": true,
102 "is_image_uploaded": true,
103 "lot_information": {
104 "is_lot": true,
105 "minimum_shelf_life_days": 0
106 },
107 "merge_children": [
108 {
109 "channel_ids": [
110 0
111 ],
112 "completed_at": "2019-08-24T14:15:22+00:00",
113 "inventory_id": 0,
114 "variant_id": 0,
115 "variant_name": "string"
116 }
117 ],
118 "name": "string",
119 "packaging_material_type": {
120 "id": 0,
121 "name": "string"
122 },
123 "packaging_requirement": {
124 "id": 0,
125 "name": "string"
126 },
127 "return_preferences": {
128 "backup_action": {
129 "id": 0,
130 "name": "string"
131 },
132 "instructions": "string",
133 "primary_action": {
134 "id": 0,
135 "name": "string"
136 },
137 "return_to_sender_backup_action": {
138 "id": 0,
139 "name": "string"
140 },
141 "return_to_sender_primary_action": {
142 "id": 0,
143 "name": "string"
144 }
145 },
146 "reviews_pending": [
147 "string"
148 ],
149 "sku": "string",
150 "status": "string",
151 "upc": "string",
152 "updated_on": "2019-08-24T14:15:22+00:00",
153 "weight": {
154 "unit": "string",
155 "weight": 0.1
156 }
157 }
158 ]
159}
Updates a single product. This endpoint supports Json Merge Patch functionality, which allows partial updates to be made to the product. The endpoint will only update the fields that are provided in the request. For updating variants, you mnust include the ID of the variant that you would like to update.
Was this page helpful?
Previous

Deletes Bundle and removes associations to related products

Next

Gets Taxonomy by Id

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Path parameters

productIdlongRequired
The product identifier

Request

idlongOptional
Unique reference ID for the product
namestringOptional
taxonomy_idintegerOptional
type_idintegerOptional
variantslist of objectsOptional

Response

Success
created_ondatetime
idlong
namestring
taxonomyobject
typestring
updated_ondatetime
user_idlong
variantslist of objects